@echo off
setlocal

@REM You have to adjust this path to the installation prefix of taglib!
set prefix=C:\MinGW

set exec_prefix=%prefix%
set libdir=%exec_prefix%\lib
set includedir=%prefix%\include

set flags=

if "%1" == "" goto usage

:loop
	if "%1"=="" goto printresult

	if "%1"=="--libs" (
		set flags=%flags% -L%libdir% -ltag
		goto nextopt
	)

	if "%1"=="--cflags" (
		set flags=%flags% -I%includedir%\taglib
		goto nextopt
	)

	if "%1"=="--version" (
		echo 1.3.1
		goto nextopt
	)

	if "%1"=="--prefix" (
		echo %prefix%
		goto nextopt
	)

	echo %0: unknown option %1
	goto usage


:nextopt
	shift /1
	goto loop


:printresult
	if not "%flags%"=="" echo %flags%
	goto end


:usage
	echo usage: %0 [OPTIONS]
	echo options:
	echo    [--libs]
	echo    [--cflags]
	echo    [--version]
	echo    [--prefix]


:end
	endlocal
